CVE-2020-25691

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2020-25691
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2020-25691.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2020-25691
Published
2022-04-01T23:15:08Z
Modified
2024-05-22T17:21:49.958196Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

A flaw was found in darkhttpd. Invalid error handling allows remote attackers to cause denial-of-service by accessing a file with a large modification date. The highest threat from this vulnerability is to system availability.

References

Affected packages

Alpine:v3.16 / darkhttpd

Package

Name
darkhttpd
Purl
pkg:apk/alpine/darkhttpd?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14-r0

Affected versions

1.*

1.9-r0
1.9-r1
1.9-r2
1.10-r0
1.10-r1
1.11-r0
1.11-r1
1.11-r2
1.11-r3
1.11-r4
1.11-r5
1.12-r0
1.12-r1
1.12-r2
1.12-r3
1.12-r4
1.12-r5
1.12-r6
1.13-r6

Alpine:v3.17 / darkhttpd

Package

Name
darkhttpd
Purl
pkg:apk/alpine/darkhttpd?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14-r0

Affected versions

1.*

1.9-r0
1.9-r1
1.9-r2
1.10-r0
1.10-r1
1.11-r0
1.11-r1
1.11-r2
1.11-r3
1.11-r4
1.11-r5
1.12-r0
1.12-r1
1.12-r2
1.12-r3
1.12-r4
1.12-r5
1.12-r6
1.13-r6

Alpine:v3.18 / darkhttpd

Package

Name
darkhttpd
Purl
pkg:apk/alpine/darkhttpd?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14-r0

Affected versions

1.*

1.9-r0
1.9-r1
1.9-r2
1.10-r0
1.10-r1
1.11-r0
1.11-r1
1.11-r2
1.11-r3
1.11-r4
1.11-r5
1.12-r0
1.12-r1
1.12-r2
1.12-r3
1.12-r4
1.12-r5
1.12-r6
1.13-r6

Alpine:v3.19 / darkhttpd

Package

Name
darkhttpd
Purl
pkg:apk/alpine/darkhttpd?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14-r0

Affected versions

1.*

1.9-r0
1.9-r1
1.9-r2
1.10-r0
1.10-r1
1.11-r0
1.11-r1
1.11-r2
1.11-r3
1.11-r4
1.11-r5
1.12-r0
1.12-r1
1.12-r2
1.12-r3
1.12-r4
1.12-r5
1.12-r6
1.13-r6

Alpine:v3.20 / darkhttpd

Package

Name
darkhttpd
Purl
pkg:apk/alpine/darkhttpd?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.14-r0

Affected versions

1.*

1.9-r0
1.9-r1
1.9-r2
1.10-r0
1.10-r1
1.11-r0
1.11-r1
1.11-r2
1.11-r3
1.11-r4
1.11-r5
1.12-r0
1.12-r1
1.12-r2
1.12-r3
1.12-r4
1.12-r5
1.12-r6
1.13-r0